Package org.drinkless.tdlib

# Class TdApi.ChatTheme

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatTheme

Enclosing class:
  TdApi

public static class TdApi.ChatTheme extends TdApi.Object
Describes a chat theme.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.ThemeSettings`
  `darkSettings`
  Theme settings for a dark chat theme.
  `TdApi.ThemeSettings`
  `lightSettings`
  Theme settings for a light chat theme.
  `String`
  `name`
  Theme name.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatTheme()`
  Describes a chat theme.
  `ChatTheme(String name, TdApi.ThemeSettings lightSettings, TdApi.ThemeSettings darkSettings)`
  Describes a chat theme.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### name

    public String name
    Theme name.

  - ### lightSettings

    public TdApi.ThemeSettings lightSettings
    Theme settings for a light chat theme.

  - ### darkSettings

    public TdApi.ThemeSettings darkSettings
    Theme settings for a dark chat theme.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatTheme

    public ChatTheme()
    Describes a chat theme.

  - ### ChatTheme

    public ChatTheme(String name, TdApi.ThemeSettings lightSettings, TdApi.ThemeSettings darkSettings)
    Describes a chat theme.
    Parameters:
      `name` - Theme name.
      `lightSettings` - Theme settings for a light chat theme.
      `darkSettings` - Theme settings for a dark chat theme.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR